import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        long k = nextLong();
        long[] a = new long[n];
        long[] pr = new long[n + 1];
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
            pr[i + 1] = pr[i] + a[i];
        }
        int min = n + 1;
        if (pr[n] < k) {
            out.println(-1);
        } else {
            for (int i = 0; i < n; i++) {
                if (pr[n] - pr[i] < k) {
                    break;
                } else {
                    for (int l = i + 1; l < n + 1; l++) {
                        if (pr[l] - pr[i] > k) {
                            min = Math.min(min, l - i);
                            l = n + 1;
                        }
                    }
                }
            }
            out.println(min);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}